Tool: list_sessions
Lists the open sessions on a runtime (runtimes/{runtime_id}), including ones you didn't open, such as the user's notebooks. Use it to find a session of yours to reuse or close. Close only sessions you opened. It returns names only, not what is running in them.
The following code sample shows how to use curl to call the list_sessions MCP tool.
| Curl Request |
|---|
curl --location 'https://colaboratory.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "list_sessions", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for ListSessions.
ListSessionsRequest
| JSON representation |
|---|
{ "parent": string } |
| Fields | |
|---|---|
parent |
Required. The runtime whose sessions should be listed. Format: |
Output Schema
Response message for ListSessions.
ListSessionsResponse
| JSON representation |
|---|
{
"sessions": [
{
object ( |
| Fields | |
|---|---|
sessions[] |
The sessions currently open on the runtime. |
Session
| JSON representation |
|---|
{ "name": string } |
| Fields | |
|---|---|
name |
Identifier. The name of the session. Format: |
Tool Annotations
Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.
Along with the title string, the following boolean hints are defined as follows:
readOnlyHint: If true, the tool doesn't modify its environment. Default: false.destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌